/// <reference types="vue-shims" />
import iMenuHead from './layouts/basic-layout/menu-head/index.vue';
import { HttpCacheService } from './services/http-cache';
declare const API: {
    name: string;
    version: string;
    dependencies: string[];
    install: (webApplication: any) => void;
    addHeaderMenus: (menus: any) => void;
    addSiderMenus: (menus: any) => void;
    components: {
        iMenuHead: import("vue").VueConstructor<iMenuHead<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => iMenuHead<Record<string, any>, Record<string, any>, never, never, any>>>;
        iMenuSide: import("vue").VueConstructor<iMenuHead<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => iMenuHead<Record<string, any>, Record<string, any>, never, never, any>>>;
        iHeaderLogo: import("vue").VueConstructor<iMenuHead<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => iMenuHead<Record<string, any>, Record<string, any>, never, never, any>>>;
        iHeaderCollapse: import("vue").VueConstructor<iMenuHead<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => iMenuHead<Record<string, any>, Record<string, any>, never, never, any>>>;
        iHeaderReload: import("vue").VueConstructor<iMenuHead<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => iMenuHead<Record<string, any>, Record<string, any>, never, never, any>>>;
        iHeaderBreadcrumb: import("vue").VueConstructor<iMenuHead<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => iMenuHead<Record<string, any>, Record<string, any>, never, never, any>>>;
        iHeaderLog: import("vue").VueConstructor<iMenuHead<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => iMenuHead<Record<string, any>, Record<string, any>, never, never, any>>>;
        iHeaderFullscreen: import("vue").VueConstructor<iMenuHead<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => iMenuHead<Record<string, any>, Record<string, any>, never, never, any>>>;
        iHeaderI18n: import("vue").VueConstructor<iMenuHead<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => iMenuHead<Record<string, any>, Record<string, any>, never, never, any>>>;
        iHeaderSetting: import("vue").VueConstructor<iMenuHead<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => iMenuHead<Record<string, any>, Record<string, any>, never, never, any>>>;
        iHeaderTheme: import("vue").VueConstructor<iMenuHead<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => iMenuHead<Record<string, any>, Record<string, any>, never, never, any>>>;
        iTabs: import("vue").VueConstructor<iMenuHead<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => iMenuHead<Record<string, any>, Record<string, any>, never, never, any>>>;
        iCopyright: import("vue").VueConstructor<iMenuHead<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => iMenuHead<Record<string, any>, Record<string, any>, never, never, any>>>;
        iLink: import("vue").VueConstructor<iMenuHead<Record<string, any>, Record<string, any>, never, never, (event: string, ...args: any[]) => iMenuHead<Record<string, any>, Record<string, any>, never, never, any>>>;
        iDasktopLayout: () => Promise<typeof import("*.vue")>;
        iLayoutFullscreen: () => Promise<typeof import("*.vue")>;
        iLayoutReload: () => Promise<typeof import("*.vue")>;
        iLayoutSetting: () => Promise<typeof import("*.vue")>;
        iLayoutI18n: () => Promise<typeof import("*.vue")>;
        iLayoutTargetLink: () => Promise<typeof import("*.vue")>;
        iLayoutTheme: () => Promise<typeof import("*.vue")>;
    };
};
export * from './libs/system/index';
export { default as util, requestAnimation } from './libs/util';
export { default as db } from './libs/util.db';
export { default as cookies } from './libs/util.cookies';
export { default as log } from './libs/util.log';
export * from './services/menu';
export * from './services/route';
export * from './services/layout';
export * from './view/index';
export { default as subAppLayout } from './layouts/subapp-layout/index.vue';
export default API;
export * from './providers';
export * from './theme/index';
export declare const httpCacheService: HttpCacheService;
